<div class="productsList">
    <h1 *ngIf="products.length === 0">No products found</h1>
    <ng-container *ngFor="let product of products">
        <app-product-details [product]="product"></app-product-details>
    </ng-container>
</div>
